
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class CardFrame extends JFrame
{
    private JTextField data;
    private JButton click;
    private JTextArea output;
    private JButton convert;
    private JPanel cards;
    private CardLayout cl;
    private JButton switchCard;

    public CardFrame()
    {
       data = new JTextField( 10 );
       click = new JButton( "Display" );
       output = new JTextArea( 5, 20 );
       convert = new JButton( "Convert" );
       switchCard = new JButton( "Switch" );

		Container c = this.getContentPane();
		c.setLayout( new GridLayout( 1, 2 ) );
		
		cards = new JPanel();
		cl = new CardLayout();
		cards.setLayout( cl );
		
		JPanel one = new JPanel();
		one.setLayout( new FlowLayout() );
		one.setBackground( Color.blue );
		one.add( click );
		one.add( convert );
		one.add( switchCard );
		
		createCards();
		
		cl.first( cards );
		
		c.add( one );
		c.add( cards );       

        createListeners();
    }
    
    private void createCards()
    {
		JPanel two = new JPanel();
		two.setLayout( new FlowLayout() );
		two.add( new JLabel( "Type data in Text Field" ) );
		two.add( data );
		
		JPanel three = new JPanel();
		three.setLayout( new FlowLayout() );
		three.add( output );

        JPanel greet = new JPanel();
        greet.setLayout( new FlowLayout() );
        greet.add( new JLabel( "hey" ) );

		cards.add( "input", two );
		cards.add( "output", three );
        cards.add( "greet", greet );
    }

    private void createListeners()
    {
       class ClickListener implements ActionListener
       {
          public void actionPerformed( ActionEvent ae )
          {
             String s = data.getText();
             output.setText( s + "\n" + s );
          }
       }
       click.addActionListener( new ClickListener() );

       class ConvertListener implements ActionListener
       {
          public void actionPerformed( ActionEvent ae )
          {
             String s = data.getText();
             int dollars = Integer.parseInt(s);
             int pesos = dollars*50;
             output.setText( "Peso Conversion:" + pesos );
    		 cl.show( cards, "output" );

          }
       }
       convert.addActionListener( new ConvertListener() );

       class CardListener implements ActionListener
       {
          public void actionPerformed( ActionEvent ae )
          {
          		cl.next(cards);
          }
       }
       switchCard.addActionListener( new CardListener() );
    }
}
