
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class NestedFrame extends JFrame
{
    private JTextField data;
    private JButton click;
    private JTextArea output;
    private JButton convert;

    public NestedFrame()
    {
       data = new JTextField( 10 );
       click = new JButton( "Display" );
       output = new JTextArea( 5, 20 );
       convert = new JButton( "Convert" );
       
       JPanel center = new JPanel(); 

       Container c = this.getContentPane();
       c.setLayout( new BorderLayout() );
       c.add( new JLabel( "Type data in Text Field" ), "North" );
       c.add( data, "South" );
       c.add( click, "East" );
       c.add( center, "Center" );
       c.add( convert, "West" );

       center.setBackground( Color.blue );
       center.setLayout( new FlowLayout() );
       center.add( new JLabel( "Results" ) );
       center.add( output );
       
       createListeners();
    }

    private void createListeners()
    {
       class ClickListener implements ActionListener
       {
          public void actionPerformed( ActionEvent ae )
          {
             String s = data.getText();
             output.setText( s + "\n" + s );
          }
       }
       click.addActionListener( new ClickListener() );

       class ConvertListener implements ActionListener
       {
          public void actionPerformed( ActionEvent ae )
          {
             String s = data.getText();
             int dollars = Integer.parseInt(s);
             int pesos = dollars*50;
             output.setText( "Peso Conversion:" + pesos );
          }
       }
       convert.addActionListener( new ConvertListener() );    }
}
