
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class TabFrame extends JFrame
{
    private JTextField data;
    private JButton click;
    private JTextArea output;
    private JButton convert;

    public TabFrame()
    {
       data = new JTextField( 10 );
       click = new JButton( "Display" );
       output = new JTextArea( 5, 20 );
       convert = new JButton( "Convert" );
       Container c = this.getContentPane();
       c.setLayout( new BorderLayout() );
	   
	   JPanel one = new JPanel();
	   one.setLayout( new FlowLayout() );
       one.add( new JLabel( "Type data in Text Field" ) );
       one.add( data );
       one.add( click );
       one.add( convert );

	   JPanel two = new JPanel();
	   two.setLayout( new FlowLayout() );
	   two.add( output );

	   JTabbedPane tabpane = new JTabbedPane();
	   tabpane.addTab( "Input", one );
	   tabpane.addTab( "Output", two );
	   c.add( tabpane, "Center" );

       createListeners();
    }

    private void createListeners()
    {
       class ClickListener implements ActionListener
       {
          public void actionPerformed( ActionEvent ae )
          {
             String s = data.getText();
             output.setText( s + "\n" + s );
          }
       }
       click.addActionListener( new ClickListener() );

       class ConvertListener implements ActionListener
       {
          public void actionPerformed( ActionEvent ae )
          {
             String s = data.getText();
             int dollars = Integer.parseInt(s);
             int pesos = dollars*50;
             output.setText( "Peso Conversion:" + pesos );
          }
       }
       convert.addActionListener( new ConvertListener() );    }
}
